local utils = require("utils")
return {
	"smoka7/multicursors.nvim",
	dependencies = {
		"nvimtools/hydra.nvim",
	},
	opts = {},
	cmd = { "MCstart", "MCvisual", "MCclear", "MCpattern", "MCvisualPattern", "MCunderCursor" },
	keys = {
		{
			mode = { "v", "n" },
			"<leader><leader>c",
			utils.run_vim_cmd("MCstart(-1)"),
			desc = "Create a selection for selected text or word under the cursor",
		},
	},
}
